Bug 1193725 - gnupg2-2.1.x keyring conversions sometimes fail
Summary: gnupg2-2.1.x keyring conversions sometimes fail
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnupg2
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1100417 1167656
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-18 00:37 UTC by Kevin Fenzi
Modified: 2016-02-28 08:22 UTC (History)
9 users (show)

Fixed In Version: gnupg2-2.1.11-1.fc23 gnupg2-2.1.11-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-26 07:22:05 UTC


Attachments (Terms of Use)

Description Kevin Fenzi 2015-02-18 00:37:49 UTC
With gnupg 2.1.x versions, claws mail is unable to verify signed emails. It simply says "key is not available" 

Downgrading to 2.0.x and everything works again. 

Happy to provide more info or test.

Comment 1 Michael Schwendt 2015-02-19 20:09:51 UTC
Let's pass this on like a hot potatoe.

Claws Mail doesn't use GnuPG directly. It uses GPGME. Package "gpgme".

First thought is that the gnupg2 upgrade has broken something or requires an update/rebuild of gpgme. Expected? Unexpected?

GPGME web site lists 1.5.3 (Dec 2014). Rawhide includes 1.4.3.

Comment 2 Tomas Mraz 2015-02-20 10:42:03 UTC
I'd certainly recommend upgrading GPGME to 1.5.3 first. And investigate further only if that does not fix the issue.

Comment 3 Kevin Fenzi 2015-02-20 13:55:32 UTC
FYI, I did a scratch gpgme-1.5.3 build (where I had to disable tests because they were failing), and it didn't seem to matter any. :(

Comment 4 Tomas Mraz 2015-03-26 09:59:32 UTC
If you save the mail to a file and try to verify it manually using gpg2, does it work?

Comment 5 Kevin Fenzi 2015-03-28 19:25:29 UTC
It seems not. It gives a "gpg: Can't check signature: No public key" error. 

So, I guess this is either something broken in my setup or a gnupg2 bug I guess. ;(

Comment 6 Tomas Mraz 2015-03-30 09:09:33 UTC
The upstream changed the format of the keyrings in .gnupg. There should be automatic conversion the first time the gnupg2-2.1.x is run but maybe it failed for some reason. Unfortunately I can only point you at:
https://gnupg.org/faq/whats-new-in-2.1.html

Comment 7 Kevin Fenzi 2015-04-04 19:17:53 UTC
ok. I did the process mentioned at: 
https://gnupg.org/faq/whats-new-in-2.1.html#keybox

ie: 

$ cd ~/.gnupg
$ gpg --export-ownertrust >otrust.lst
$ mv pubring.gpg publickeys
$ gpg2 --import-options import-local-sigs --import publickeys
$ gpg2 --import-ownertrust otrust.lst

and then things work. ;) 

So, I guess we can close this? I have no idea how the initial format change failed...

Comment 8 Berend De Schouwer 2015-05-16 06:32:35 UTC
This broke my keyring (I had to restore from backup) with gnupg 2.1.2.  Fedora 22 Beta a few days ago.

It works for me(tm) with gnupg 2.1.4 which seems available for Fedora 22 according to #1192353

Comment 9 Jan Kurik 2015-07-15 14:31:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 10 Fedora Update System 2016-02-22 15:03:18 UTC
gnupg2-2.1.11-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e7e8a7d33a

Comment 11 Fedora Update System 2016-02-22 15:03:18 UTC
gnupg2-2.1.11-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-68edd6f2d9

Comment 12 Fedora Update System 2016-02-23 02:52:14 UTC
gnupg2-2.1.11-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-68edd6f2d9

Comment 13 Fedora Update System 2016-02-23 15:20:04 UTC
gnupg2-2.1.11-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e7e8a7d33a

Comment 14 Fedora Update System 2016-02-26 07:21:59 UTC
gnupg2-2.1.11-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-02-28 08:22:36 UTC
gnupg2-2.1.11-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.